CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

calibre-server [Optionen] [Pfad zum Bibliotheksordner …]

Starten des Calibre-Inhalteservers. Der Calibre-Inhalteserver stellt Ihre Calibre-Bibliotheken über das Internet bereit. Sie können den Pfad zu den Bibliotheksordnern als Argumente von calibre-server angeben. Falls Sie keinen Pfad angeben, werden alle dem Calibre-Hauptprogramm bekannten Bibliotheken verwendet.

Wann immer Sie Argumente mit Leerzeichen an calibre-server weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

[OPTIONEN]

--access-log
    Pfad zur Zugangsprotokolldatei. Dieses Protokoll enthält Informationen über Clients, die sich mit dem Server verbinden und Anfragen stellen. Standardmäßig wird keine Protokollierung durchgeführt.

--ajax-timeout
    Zeit (in Sekunden), um auf eine Antwort des Servers zu warten, wenn Anfragen gestellt werden.

--auth-mode
    Wählen Sie die verwendete Authentifizierungsart aus. Festlegen des vom Server verwendeten HTTP-Authentifizierungsmodus. Setzen Sie diesen auf "basic", falls Sie diesen Server hinter einem SSL-Proxy verwenden. Belassen Sie ihn ansonsten auf "Auto", was "Basic" verwendet, falls SSL konfiguriert ist, andernfalls wird "digest" verwendet.

--auto-reload
    Den Server automatisch neu laden, wenn sich der Quellcode ändert. Nützlich für Entwickler. Sie sollten außerdem einen kleinen Wert für die Zeitüberschreitung zum Herunterfahren angeben.

--ban-after
    Anzahl der fehlgeschlagenen Anmeldungen für einen Bann. Die Anzahl der Login-Fehler, nach denen eine IP-Adresse gesperrt wird.

--ban-for
    Sperren von IP-Adressen mit wiederholten Login-Fehlern. Verbietet vorübergehend den Zugriff für IP-Adressen, die wiederholt fehlgeschlagene Anmeldungen für die angegebene Anzahl von Minuten haben. Nützlich, um Versuche zu verhindern, Passwörter zu erraten. Wenn auf Null gesetzt, wird kein Banning durchgeführt.

--book-list-mode
    Standardmodus für Buchlisten. Festlegen des Standardmodus für Buchlisten, der für neue Benutzer verwendet wird. Einzelne Benutzer können den Standard in ihren eigenen Einstellungen übergehen. Standard ist die Verwendung eines Titelbildrasters.

--compress-min-size
    Min. Größe, bei der Antworten Datenkompression verwenden (in Bytes).

--custom-list-template
    Pfad zu einer JSON-Datei, die eine Vorlage für den benutzerdefinierten Buchlistenmodus enthält. Der einfachste Weg zur Erstellung einer solchen Vorlagendatei ist, in Calibre zu Einstellungen → Netzwerkserver → Buchlistenvorlage zu navigieren, die Vorlage zu erstellen und diese dann zu exportieren.

--daemonize
    Prozess im Hintergrund als Dienst ausführen (nur Linux).

--displayed-fields
    Angezeigte benutzerdefinierte Felder beschränken. Kommagetrennte Liste von benutzerdefinierten Metadatenfeldern, die vom Inhalteserver in den Ansichten "/opds" und "/mobile" angezeigt werden sollen. Falls Sie diese Option verwenden, werden sämtliche in der Liste nicht enthaltenen Felder nicht angezeigt. Zum Beispiel: my_rating,my_tags

--enable-allow-socket-preallocation, --disable-allow-socket-preallocation
    Socket-Vorzuweisung, z. B. mit systemd-Socket-Aktivierung. Standardmäßig ist diese Optione aktiviert.

--enable-auth, --disable-auth
    Passwortbasierte Authentifizierung für Serverzugriff. Normalerweise ist der Server nicht eingeschränkt, sodass jeder darauf Zugriff hat. Mit dier Option können Sie den Zugriff auf vordefinierte Benutzer beschränken. Standardmäßig ist diese Option deaktiviert.

--enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
    Rückgriff auf autom. erkannte Schnittstelle. Falls es dem Server aus irgendeinem Grund nicht möglich ist, die in der Option "listen_on" angegebene Schnittstelle einzubinden, wird versucht, eine Schnittstelle zu erkennen, die mit der Außenwelt verbindet, und dann diese einzubinden. Standardmäßig ist diese Optione aktiviert.

--enable-local-write, --disable-local-write
    Erlauben Sie nicht authentifizierten lokalen Verbindungen, Änderungen vorzunehmen. Wenn Sie die Authentifizierung nicht einschalten, arbeitet der Server normalerweise im Nur-Lese-Modus, damit anonyme Benutzer keine Änderungen an Ihren Calibre-Bibliotheken vornehmen können. Mit dieser Option kann jeder, der sich von demselben Computer aus verbindet, auf dem der Server läuft, Änderungen vornehmen. Dies ist nützlich, wenn Sie den Server ohne Authentifizierung betreiben möchten, aber dennoch calibredb verwenden möchten, um Änderungen an Ihren Calibre-Bibliotheken vorzunehmen. Beachten Sie, dass die Aktivierung dieser Option bedeutet, dass jedes Programm, das auf dem Computer läuft, Änderungen an Ihren Calibre-Bibliotheken vornehmen kann. Standardmäßig ist diese Option deaktiviert.

--enable-log-not-found, --disable-log-not-found
    HTTP 404 (nicht gefunden)-Anfragen protokollieren. Normalerweise protokolliert der Server alle HTTP-Anfragen nach nicht gefundenen Ressourcen. Dies kann zu einer nicht unerheblichen Menge von Protokollmüll führen, falls Ihr Server das Ziel von Bots ist. Verwenden Sie diese Option, um die Protokollierung auszuschalten. Standardmäßig ist diese Optione aktiviert.

--enable-use-bonjour, --disable-use-bonjour
    OPDS-Feeds via BonJour veröffentlichen. OPDS-Feeds via BonJour-Dienst veröffentlichen, sodass OPDS-basierte Lese-Apps den Server automatisch erkennen und sich mit diesem verbinden können. Standardmäßig ist diese Optione aktiviert.

--enable-use-sendfile, --disable-use-sendfile
    Zero-Copy-Dateiübertragungen für verbesserte Leistung. Dies verwendet beim Senden von Dateien über das Netzwerk sogenannte Zero-Copy-, In-Kernel-Übertragungen, was die Leistung verbessert. Dies kann jedoch beschädigte Dateiübertragungen auf einigen fehlerhaften Dateisystemen verursachen. Falls Sie beschädigte Dateiübertragungen feststellen, schalten Sie diese Funktion aus. Standardmäßig ist diese Optione aktiviert.

--help, -h
    Diesen Hilfetext anzeigen und beenden.

--ignored-fields
    Benutzerdefinierte Metadatenfelder ignoriert. Kommagetrennte Liste von benutzerdefinierten Metadatenfeldern, die vom Inhalteserver in den Ansichten "/opds" und "/mobile" nicht angezeigt werden sollen. Zum Beispiel: my_rating,my_tags

--listen-on
    Schnittstelle, die auf eingehende Verbindungen warten soll. The default is to listen on all available IPv4 interfaces. You can change this to, for example, "127.0.0.1" to only listen for connections from the local machine, or to "::" to listen to all incoming IPv6 and IPv4 connections.

--log
    Pfad zur Protokolldatei für das Serverprotokoll. Dieses Protokoll beinhaltet Serverinformationen und -fehler, keine Zugriffsprotokolle. Standardmäßig wird die Protokolldatei in stdout geschrieben.

--manage-users
    Datenbank der Benutzer verwalten, die Zugriff auf diesen Server haben. Beachten Sie auch die --userdb-Option.

--max-header-line-size
    Max. Größe eines einzelnen HTTP-Headers (in KB).

--max-job-time
    Maximalzeit für Arbeiterprozesse. Maximale Zeit, die Arbeiterprozesse ausgeführt werden dürfen (in Minuten). Zum Deaktivieren der Zeitbeschränkung auf Null setzen.

--max-jobs
    Maximale Anzahl von Arbeiterprozessen. Arbeiterprozesse werden nach Bedarf gestartet und für umfangreiche Aufgaben verwendet, wie das Vorbereiten eine Buches für die Anzeige, Hinzufügen von Büchern, Konvertieren usw. Normalerweise basiert die maximale Anzahl solcher Prozesse auf der Anzahl von CPU-Kernen. Sie können sie mit dieser Einstellung steuern.

--max-log-size
    Max. Protokolldateigröße (in MB). Maximalgröße von vom Server erzeugten Protokolldateien. Sobald das Protokoll größer als die angegebene Größe wird, wird dieses automatisch rotiert. Zum Deaktivieren der Protokollrotation auf Null setzen.

--max-opds-items
    Maximale Anzahl von Büchern in OPDS-Feeds. Maximale Anzahl von Büchern, die der Server in einem einzelnen OPDS-Bezugs-Feed zurückgibt.

--max-opds-ungrouped-items
    Max. Anzahl nicht gruppierter Elemente in OPDS-Feeds. Kategorieelemente wie Autor/Schlagwörter nach dem ersten Buchstaben gruppieren, falls mehr als die angegebene Anzahl von Elementen existiert. Zum Deaktivieren auf Null setzen.

--max-request-body-size
    Max. zulässige Größe für auf den Server übertragene Dateien (in MB).

--num-per-page
    Anzahl der auf einer einzelnen Seite anzuzeigenden Bücher. Anzahl der auf einer einzelnen Seite im Browser anzuzeigenden Bücher.

--pidfile
    Prozess-PID in die angegebene Datei schreiben

--port
    Port, auf dem auf Verbindungen gewartet werden soll.

--search-the-net-urls
    Path to a JSON file containing URLs for the "Search the internet" feature. The easiest way to create such a file is to go to Preferences-> Sharing over the net->Search the internet in calibre, create the URLs and export them.

--shutdown-timeout
    Wartezeit in Sekunden bis zu einem sauberen Herunterfahren.

--ssl-certfile
    Pfad zur SSL-Zertifikatsdatei.

--ssl-keyfile
    Pfad zur SSL-Privatschlüsseldatei.

--timeout
    Zeit (in Sekunden), nach der eine untätige Verbindung geschlossen wird.

--trusted-ips
    Allow un-authenticated connections from specific IP addresses to make changes. Normally, if you do not turn on authentication, the server operates in read-only mode, so as to not allow anonymous users to make changes to your calibre libraries. This option allows anybody connecting from the specified IP addresses to make changes. Must be a comma separated list of address or network specifications. This is useful if you want to run the server without authentication but still use calibredb to make changes to your calibre libraries. Note that turning on this option means anyone connecting from the specified IP addresses can make changes to your calibre libraries.

--url-prefix
    Vorzustellendes Präfix für alle URLs. Hilfreich, wenn Sie diesen Server hinter einem Reverse-Proxy betreiben möchten. Verwenden Sie beispielsweise "/calibre" als das URL-Präfix.

--userdb
    Pfad zur Benutzerdatenbank, die für die Authentifizierung verwendet werden soll. Die Datenbank ist eine SQLite-Datei. Um es zu erstellen, benutze --manage-users. Mehr über die Verwaltung von Benutzern erfahren Sie unter: https://manual.calibre-ebook.com/de/server.html#managing-user-accounts-from-the-command-line-only

--version
    Programmversion anzeigen und beenden

--worker-count
    Anzahl von Arbeiterprozessen für die Verarbeitung von Anfragen.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal